ASTStringLiteral (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.ASTStringLiteral class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTStringLiteral

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTStringLiteral

All Implemented Interfaces:
  Node, Renderable

public class ASTStringLiteral
extends SimpleNode

ASTStringLiteral support. Will interpolate!

Version:
  $Id: ASTStringLiteral.java 1032134 2010-11-06 20:19:39Z cbrisson $
Author:
  Geir Magnusson Jr., Jason van Zyl

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, log, parent, parser, rsvc, state, templateName`

Constructor Summary
`ASTStringLiteral(int id)`
`ASTStringLiteral(Parser p, int id)`

Method Summary
`void` | `adjTokenLineNums(Node node)` Adjust all the line and column numbers that comprise a node so that they are corrected for the string literals position within the template file.
`Object` | `init(InternalContextAdapter context, Object data)` init : we don't have to do much.
`boolean` | `isConstant()` Check to see if this is an interpolated string.
`Object` | `jjtAccept(ParserVisitor visitor, Object data)`
`static String` | `unescape(String string)`
`Object` | `value(InternalContextAdapter context)` renders the value of the string literal If the properties allow, and the string literal contains a $ or a # the literal is rendered against the context Otherwise, the stringlit is returned.

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, evaluate, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getLocation, getRuntimeServices, getTemplateName, getType, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, render, setFirstToken, setInfo, setInvalid, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTStringLiteral

    public ASTStringLiteral(int id)

Parameters:
  `id` -

### ASTStringLiteral

    public ASTStringLiteral(Parser p,
                            int id)

Parameters:
  `p` -
  `id` -

Method Detail

### init

    public Object init(InternalContextAdapter context,
                       Object data)
                throws TemplateInitException

  init : we don't have to do much. Init the tree (there shouldn't be one) and then see if interpolation is turned on.

  Specified by:
    `init` in interface `Node`
  Overrides:
    `init` in class `SimpleNode`
  Parameters:
    `context` -
    `data` -
  Returns:
    Init result.
  Throws:
    `TemplateInitException`
  See Also:
    `Node.init(org.apache.velocity.context.InternalContextAdapter, java.lang.Object)`

### adjTokenLineNums

    public void adjTokenLineNums(Node node)

  Adjust all the line and column numbers that comprise a node so that they are corrected for the string literals position within the template file. This is neccessary if an exception is thrown while processing the node so that the line and column position reported reflects the error position within the template and not just relative to the error position within the string literal.

### unescape

    public static String unescape(String string)

  Since:
    1.6

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  See Also:
    `SimpleNode.jjtAccept(org.apache.velocity.runtime.parser.node.ParserVisitor, java.lang.Object)`

### isConstant

    public boolean isConstant()

  Check to see if this is an interpolated string.

  Returns:
    true if this is constant (not an interpolated string)
  Since:
    1.6

### value

    public Object value(InternalContextAdapter context)

  renders the value of the string literal If the properties allow, and the string literal contains a $ or a # the literal is rendered against the context Otherwise, the stringlit is returned.

  Specified by:
    `value` in interface `Node`
  Overrides:
    `value` in class `SimpleNode`
  Parameters:
    `context` -
  Returns:
    result of the rendering.
  See Also:
    `Node.value(org.apache.velocity.context.InternalContextAdapter)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.